### Virtual Method

# Gio AppInfo equal

#### Declaration

    gboolean
    equal (
      GAppInfo* appinfo1,
      GAppInfo* appinfo2
    )

#### Description

Checks if two `GAppInfos` are equal.

Note that the check may not compare each individual field, and only does an identity check. In case detecting changes in the contents is needed, program code must additionally compare relevant fields.

#### Parameters

`appinfo2`

  Type: `GAppInfo`

  The second `GAppInfo`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `appinfo1` is equal to `appinfo2`. `FALSE` otherwise.